package com.xhpc.system.domain;

import com.xhpc.common.core.web.domain.BaseEntity;
import io.swagger.models.auth.In;

/**
 * 数据维度
 * @author yuyang
 * @date 2021/10/26 14:10
 * @Version 1.0
 */
public class XhpcDataDimension extends BaseEntity {

    /** 数据维度ID */
    private Long dataDimensionId;
    /** 用户ID */
    private Long userId;
    /** 场站ID */
    private Long chargingStationId;
    /** 状态（0显示 1隐藏） */
    private Integer status;
    /** 删除状态（0显示 1隐藏） */
    private Integer delFlag;

    public Long getDataDimensionId() {

        return dataDimensionId;
    }

    public void setDataDimensionId(Long dataDimensionId) {

        this.dataDimensionId = dataDimensionId;
    }

    public Long getUserId() {

        return userId;
    }

    public void setUserId(Long userId) {

        this.userId = userId;
    }

    public Long getChargingStationId() {

        return chargingStationId;
    }

    public void setChargingStationId(Long chargingStationId) {

        this.chargingStationId = chargingStationId;
    }

    public Integer getStatus() {

        return status;
    }

    public void setStatus(Integer status) {

        this.status = status;
    }

    public Integer getDelFlag() {

        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {

        this.delFlag = delFlag;
    }

}
